# $Revision: 1.36 $, $Date: 2011/09/27 21:11:43 $
#
# Conditional build:
%bcond_with	bootstrap	# use foreign (non-rpm) ghc
#
Summary:	Yacc-like LALR(1) Parser Generator for Haskell
Summary(pl.UTF-8):	Generator parserów LALR(1) w stylu yacc-a dla Haskella
Name:		happy
Version:	1.18.6
Release:	1
License:	BSD-like w/o adv. clause
Group:		Development/Tools
Source0:	http://hackage.haskell.org/packages/archive/happy/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	7d4d1425f5068633cd477a2b2216880d
URL:		http://haskell.org/happy/
BuildRequires:	autoconf
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
%{!?with_bootstrap:BuildRequires:	ghc >= 6.6}
BuildRequires:	ghc-mtl
BuildRequires:	gmp-devel
BuildRequires:	libxslt-progs
#For generating documentation in PDF: fop or xmltex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Happy is a parser generator system for Haskell, similar to the tool
‘yacc’ for C. Like ‘yacc’, it takes a file containing an annotated BNF
specification of a grammar and produces a Haskell module containing a
parser for the grammar.

Happy is flexible: you can have several Happy parsers in the same
program, and several entry points to a single grammar. Happy can work
in conjunction with a lexical analyser supplied by the user (either
hand-written or generated by another program), or it can parse a
stream of characters directly (but this isn't practical in most
cases).

Authors:
--------
    Simon Marlow <simonmar@microsoft.com>
    Andy Gill <andy@galconn.com>

%description -l pl.UTF-8
Happy to system generatorów parserów dla Haskella, podobny do
narzędzia yacc dla C. Na podstawie specyfikacji gramatyki w notacji
BNF generuje moduł w Haskellu zawierający parser tej gramatyki.

Happy jest elastyczny: można mieć kilka parserów wygenerowanych przez
Happy w jednym programie tudzież kilka symboli startowych dla tej
samej gramatyki. Happy może współpracować z analizatorem leksykalnym
dostarczonym przez programistę (napisanym ręcznie albo wygenerowanym
przez inny program), może też parsować strumień znaków bezpośrednio
(co zwykle jest mniej praktyczne).

Autorzy:
--------
    Simon Marlow <simonmar@microsoft.com>
    Andy Gill <andy@galconn.com>

%prep
%setup -q

%build
%{?with_bootstrap:PATH=$PATH:/usr/local/bin}
runhaskell Setup.lhs configure --prefix=%{_prefix}
runhaskell Setup.lhs build

cd doc
%{__autoconf}
%configure
%{__make} html
cd ..

%install
rm -rf $RPM_BUILD_ROOT
%{?with_bootstrap:PATH=$PATH:/usr/local/bin}
runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES README TODO doc/happy
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: happy.spec,v $
Revision 1.36  2011/09/27 21:11:43  baggins
- 1.18.6

Revision 1.35  2010/08/27 20:34:23  baggins
- BR ghc-mtl

Revision 1.34  2010/08/27 20:31:32  baggins
- updated md5sum

Revision 1.33  2010/08/27 20:31:09  baggins
- 1.18.5

Revision 1.32  2010/04/07 14:47:32  baggins
- rel 2

Revision 1.31  2009/11/25 22:53:11  baggins
- 1.18.4

Revision 1.30  2007/02/21 13:43:47  qrczak
- 1.16
- Updated BR, description, files list etc.

Revision 1.29  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.27  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.26  2005/10/17 12:35:27  qboosh
- added bootstrap bcond, release 2

Revision 1.25  2005/07/03 20:05:14  undefine
- add examples

Revision 1.24  2005/07/03 19:57:17  undefine
- up to 1.15
- use html docs(don't duplicate and our tetex suxx)
- remove DESTDIR patch
- rel 1

Revision 1.23  2004/11/30 14:38:13  undefine
- release 3

Revision 1.22  2004/11/30 01:26:11  undefine
- release 2

Revision 1.21  2004/11/23 02:26:19  undefine
- copy config.sub to allow build on amd64

Revision 1.20  2004/11/23 00:06:27  undefine
- BR: tetex-dvips

Revision 1.19  2004/08/31 14:44:50  snurf
- typos / formatting / etc.

Revision 1.18  2004/06/13 08:12:26  arekm
- be nicer for ppc/alpha

Revision 1.17  2004/06/09 23:50:48  arekm
- md5

Revision 1.16  2004/06/09 23:46:59  arekm
- updated to 0.14

Revision 1.15  2004/03/01 12:56:25  baggins
- updated to 1.13
- removed obsolete patches

Revision 1.14  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:48:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/10/09 08:01:00  qboosh
- BR: automake; new %doc

Revision 1.11  2002/05/21 23:13:33  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/25 16:32:46  arturs
- fixed a small typo

Revision 1.9  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:13:16  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/04 13:40:25  filon
- updated to 1.11
- removed (commented) unncecessary ac patch
- corrected %configure (libdir should be default now)
- cosmetics (using version macro in linking)
- passing %{__cc} as gcc to configure

Revision 1.6  2001/10/11 12:51:52  qboosh
- pl translations, BuildRequires: autoconf

Revision 1.5  2001/09/18 18:31:06  baggins
- release 2
- added autoconf fixes

Revision 1.4  2001/06/25 21:19:25  pawelk
- added chmod u+w configure befeore caling autoconf

Revision 1.3  2001/06/25 21:17:45  pawelk
- added chmod u+w configure, before running it (requested by arekm)

Revision 1.2  2001/06/24 22:14:53  pawelk
- version 1.10

Revision 1.1  2000/11/20 12:53:53  baggins
- initial revision
